Subject: Re: git-http-fetch failure/segfault -- alas no patch

From: Nick Hengeveld <[email-masked]>
Date: Tue, 31 Jan 2006 09:58:13 -0800

On Mon, Jan 30, 2006 at 08:34:16PM +0000, Mark Wooding wrote:

> run_active_slot.  As far as I can make out, the slot used to collect
> .../info/packs is being /reused/ by fill_active_slots (called by
> step_active_slots) before fetch_indices is returned to.

Good catch, there were a couple of places where slot result data could
be processed after the slot had been reused, with rather unpredictable
results.

There's a patch on the way after a bit more testing.

-- 
For a successful technology, reality must take precedence over public
relations, for nature cannot be fooled.